Rotate a Fleet message signing key pair

Server: https://{kibana_url}
  • POST /api/fleet/message_signing_service/rotate_key_pair

Rotate the key pair used by Fleet to sign messages sent to Elastic Agents. This operation is irreversible and requires all agents in the Fleet to be re-enrolled after rotation. You must explicitly acknowledge the risk by passing acknowledge=true as a query parameter.

[Required authorization] Route required privileges: fleet-agents-all AND fleet-agent-policies-all AND fleet-settings-all.

Query Parameters

acknowledge boolean · default: false

Set to true to confirm you understand the risks of rotating the key pair

Responses